.footer {
  text-align: center; 
  text-decoration: none;
  color: black;
  background-color: #F1F1F1;
  /* position: fixed; */
  /* margin: 0 auto; */
  width: 100%;
  margin-top: 20px;
  position: fixed;
  height: 100%;
} 
.footer a {
text-decoration: none;
color: black; }
.footer a:hover {
color: rgb(127, 127, 127); }
.footer #texto2 {
padding-top: 40px; }
.footer #tamLogo {
height: auto;
width: 250px; }

#miniCarrito{
  width: auto;
  height: 400px;
}

#btnTramitar{
  background-color: #ffffff;
  margin-left: 550px;
  margin-top: -50px;
  height: 40px;
  width: auto;
  border-radius: 5px;
  border-color: white;
  color: black;
}

#btnVaciar{
  background-color: #ffffff;
  margin-left: 550px;
  margin-top: -100px;
  height: 40px;
  width: auto;
  border-radius: 5px;
  color: black;
}

#btnAplicar{
  background-color: #90d1cb;
  margin-left: 550px;
  margin-top: 40px;
  height: 40px;
  width: auto;
  border-radius: 5px;
  border-color: white;
  color: black;
}



#btnTramitar:hover{
  background-color: #1e1e1e;
  
  margin-left: 550px;
  margin-top: -50px;
  height: 40px;
  width: auto;
  border-radius: 5px;
  border-color: white;
  color: white;
}

#btnVaciar:hover{
  background-color: #1e1e1e;
  margin-left: 550px;
  margin-top: -100px;
  height: 40px;
  width: auto;
  border-radius: 5px;
  color: white;
}

#btnAplicar:hover{
  background-color: #6d9b96;
  
  margin-left: 550px;
  margin-top: 40px;
  height: 40px;
  width: auto;
  border-radius: 5px;
  border-color: white;
  color: white;
}


/* Mobile: Pantallas de hasta 767px */
@media only screen and (max-width: 480px) {
  /* Ajusta estilos según sea necesario para pantallas más pequeñas */
  .padre{
    align-items: center;
  }
  
  body {
    font-size: 14px;
  }

  .header {
    float: right; 
    margin-bottom: 35px;
  }
  .header #logo {
    margin-left: 150px; 
  }
  .header #navHeader {
    margin-left: 195px; 
  }
  .header #iconosHeader {
    margin-left: 212.5px; 
    font-size: 3em;
  }

  #submain{
    margin-left: 10px;
  }
  
  #miniCarrito {
    margin-top: 20px; /* Ajusta el margen superior en tabletas */
  }

  #btnVaciar{
    margin-top: 10px;
    margin-left: 0px;
  }

  #btnTramitar{
    margin-top: 10px;
    margin-left: 130px;
  }

  #btnAplicar{
    margin-top: 10px;
    margin-left: 280px;
  }


  #btnTramitar:hover{
    background-color: #1e1e1e;
    height: 40px;
    width: auto;
    border-radius: 5px;
    border-color: white;
    color: white;
    margin-top: 10px;
    margin-left: 130px;
  }
  
  #btnVaciar:hover{
    background-color: #1e1e1e;
    margin-top: 10px;
    margin-left: 0px;
    height: 40px;
    width: auto;
    border-radius: 5px;
    color: white;
  }

  #btnAplicar:hover{
    background-color: #6d9b96;
    height: 40px;
    width: auto;
    border-radius: 5px;
    border-color: white;
    color: white;
    margin-top: 10px;
    margin-left: 280px;
  }


  .footer {
    text-align: center; 
    position: sticky;
  }
  .footer a {
    text-decoration: none;
    color: black; 
  }
  .footer a:hover {
    color: rgb(127, 127, 127);
  }
  .footer #texto2 {
    padding-top: 40px; 
  }
  .footer #tamLogo {
    height: auto;
    width: 150px; 
  }
  .footer .col {
    margin-bottom: 20px; /* Añade espacio entre las columnas */
  }

}

@media only screen and (max-width: 767px) {
  /* Ajusta estilos según sea necesario para pantallas más pequeñas */
  .padre{
    align-items: center;
  }
  
  body {
    font-size: 14px;
  }

  .header {
    float: right; 
    margin-bottom: 35px;
  }
  .header #logo {
    margin-left: 150px; 
  }
  .header #navHeader {
    margin-left: 195px; 
  }
  .header #iconosHeader {
    margin-left: 212.5px; 
    font-size: 3em;
  }

  #submain{
    margin-left: 10px;
  }
  
  #miniCarrito {
    margin-top: 20px; /* Ajusta el margen superior en tabletas */
  }

  #btnVaciar{
    margin-top: 10px;
    margin-left: 0px;
  }

  #btnTramitar{
    margin-top: 10px;
    margin-left: 130px;
  }

  #btnAplicar{
    margin-top: 10px;
    margin-left: 280px;
  }


  #btnTramitar:hover{
    background-color: #1e1e1e;
    height: 40px;
    width: auto;
    border-radius: 5px;
    border-color: white;
    color: white;
    margin-top: 10px;
    margin-left: 130px;
  }
  
  #btnVaciar:hover{
    background-color: #1e1e1e;
    margin-top: 10px;
    margin-left: 0px;
    height: 40px;
    width: auto;
    border-radius: 5px;
    color: white;
  }

  #btnAplicar:hover{
    background-color: #6d9b96;
    height: 40px;
    width: auto;
    border-radius: 5px;
    border-color: white;
    color: white;
    margin-top: 10px;
    margin-left: 280px;
  }


  .footer {
    text-align: center; 
    position: sticky;
  }
  .footer a {
    text-decoration: none;
    color: black; 
  }
  .footer a:hover {
    color: rgb(127, 127, 127);
  }
  .footer #texto2 {
    padding-top: 40px; 
  }
  .footer #tamLogo {
    height: auto;
    width: 150px; 
  }
  .footer .col {
    margin-bottom: 20px; /* Añade espacio entre las columnas */
  }

}

/* Tablet: Pantallas de 768px a 1023px */
@media only screen and (min-width: 768px) and (max-width: 1023px) {
  /* Ajusta estilos según sea necesario para tabletas */
  .header {
    float: right; 
    margin-bottom: 35px;
  }
  .header #logo {
    margin-left: 290px; 
  }
  .header #navHeader {
    margin-left: 335px; 
  }
  .header #iconosHeader {
    margin-left: 350px; 
    font-size: 3em;
  }

  #miniCarrito {
    margin-top: 20px; /* Ajusta el margen superior en tabletas */
  }


  .footer {
    text-align: center; 
    position: sticky;
  }
  .footer a {
    text-decoration: none;
    color: black; 
  }
  .footer a:hover {
    color: rgb(127, 127, 127);
  }
  .footer #texto2 {
    padding-top: 40px; 
  }
  .footer #tamLogo {
    height: auto;
    width: 150px; 
  }
  .footer .col {
    margin-bottom: 20px; /* Añade espacio entre las columnas */
  }

}

/* Desktop: Pantallas de 1024px en adelante */
@media only screen and (min-width: 1024px) {
  /* Ajusta estilos según sea necesario para pantallas más grandes */
  .container-fluid {
    padding: 20px;
  }

}